#!/bin/sh
VERSION=`grep __version /var/www/cgi-bin/kpwiki.cgi | head -1 | awk '{ print $4}'`

echo "KpWiki is a Wiki server running as a CGI script"
echo
echo "You must have:"
echo "* A webserver that can run CGI scripts"
echo "* RCS version control system"
echo "* Python 1.5.2 or later"
echo ""
echo "Make sure the user the webserver runs as can write to /opt/kpwiki."
echo "KpWiki Creates the user apache for that purpose."
echo 
echo "If you run apache change user and group to apache in the configuration file."
echo "User apache"
echo "Group apache"
echo "Change owner for /opt/kpwiki to apache with: chown -R apache /opt/kpwiki"
echo 
#
# Edit slackware DESCRIPTION
#
sed -e "s/PACKAGE DESCRIPTION:/PACKAGE DESCRIPTION: \\
kpwiki-${VERSION}: kpwiki (KpWiki is a Wiki server running as a CGI script) \\
kpwiki-${VERSION}: \\
kpwiki-${VERSION}: A free wiki server\\
kpwiki-${VERSION}: License: Gnu General Public License version 2\\
kpwiki-${VERSION}: \\
kpwiki-${VERSION}: kpwiki needs a webserver.\\
kpwiki-${VERSION}: kpwiki needs python.\\
kpwiki-${VERSION}: kpwiki needs rcs.\\
kpwiki-${VERSION}: \\
kpwiki-${VERSION}: \\
kpwiki-${VERSION}:/ " /var/log/packages/kpwiki-${VERSION}-noarch-1 > /tmp/kpwiki.tmp.$$
mv /tmp/kpwiki.tmp.$$ /var/log/packages/kpwiki-${VERSION}-noarch-1


# Add user and group apache
if ! grep apache /etc/passwd > /dev/null 2&>1
then
   useradd apache
fi
if ! grep apache /etc/group > /dev/null 2&>1
then
  groupadd apache
fi

chown -R apache.apache /opt/kpwiki

cd /opt/kpwiki/data; find -type f -maxdepth 1 -exec ci -u {} \; << EOF
Start
.
EOF


